{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post" class="css-config-form">
    {$jtl_token}
    <input type="hidden" name="kPlugin" value="{$kPlugin}"/>
    <input type="hidden" name="kPluginAdminMenu" value="{$kPluginAdminMenu}"/>
    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Plugin Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Das Plugin ist')}</span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Template Framework')}</span>
            </div>
            <select id="framework" name="framework" class="form-control">
                <Option {if $pluginConfig->framework=='B3'} selected {/if} value="B3">{__('Bootstrap 3 (z.B. EVO)')}</Option>
                <Option {if $pluginConfig->framework=='B4'} selected {/if} value="B4">{__('Bootstrap 4 (z.B. NOVA)')}</Option>
                {if isset($bHasCustom)}
                    <Option {if $pluginConfig->framework=='custom'} selected {/if} value="CU">{__('Custom (Ihre eigene updatesichere Pluginmodifikation)')}</Option>
                {/if}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier geben Sie an, welches Framework Ihr Template nutzt, Wenn Sie es nicht wissen, fragen Sie bitte den Hersteller des Templates.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Konfiguration für die Zubehöranzeige')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('xSelling Gruppe f&uuml;r die Zubeh&ouml;r Ansicht')}</span>
            </div>
            <select {if $xsellGroups===null} disabled="disabled" {/if} name="zubehoerXsellGroup" id="zubehoerXsellGroup" class="form-control">
                <option value="0">Bitte wählen</option>
                {foreach from=$xsellGroups item=xsellItem }
                    <option data-is="{$pluginConfig->zubehoerXsellGroup}" {if $xsellItem->kXSellGruppe == $pluginConfig->zubehoerXsellGroup} selected="selected" {/if} value="{$xsellItem->kXSellGruppe}">{$xsellItem->cName}</option>
                {/foreach}
            </select>            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Selektieren Sie Bitte die xSelling Gruppe die Sie als Zubehör anzeigen möchten.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector der Zubehörbox')}</span>
            </div>
            <input type="text" name="zubehoerSelector" class="form-control" value="{$pluginConfig->zubehoerSelector}" placeholder="{__('#add-to-cart (oder ähnliches)')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie den Selector ein wo die Zubeh&ouml;rbox angezeigt werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Position der Zubehöranzeige')}</span>
            </div>
            <select id="selector_position_welcome" name="zubehoerPosition" class="form-control">
                <Option {if $pluginConfig->zubehoerPosition=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->zubehoerPosition=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->zubehoerPosition=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->zubehoerPosition=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->zubehoerPosition=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->zubehoerPosition=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Artikelsortierung')}</span>
            </div>
            <select name="zubehoerSortierung" id="zubehoerSortierung" class="form-control">
                <option {if $pluginConfig->zubehoerSortierung =='sortUp'} selected="selected" {/if} value="sortUp">Artikel werden Aufwärts nach Ihrer Sortierungsnummer angezeigt</option>
                <option {if $pluginConfig->zubehoerSortierung =='sortDown'} selected="selected" {/if} value="sortDown">Artikel werden Abwärts nach Ihrer Sortierungsnummer angezeigt</option>
                <option {if $pluginConfig->zubehoerSortierung =='unten'} selected="selected" {/if} value="unten">Artikel mit Textfelder nach unten</option>
             <option {if $pluginConfig->zubehoerSortierung =='oben'} selected="selected" {/if} value="oben">Artikel mit Textfelder nach oben</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie die gewünschte Sortierung ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Button in der Infoanzeige (popover)')}</span>
            </div>
            <select name="buttonModusZubehoer"
                    id="buttonModusZubehoer" class="form-control">
                <option {if $pluginConfig->buttonModusZubehoer =='nothing'} selected="selected" {/if} value="nothing">Keine Buttonanzeige</option>
                <option {if $pluginConfig->buttonModusZubehoer =='basket'} selected="selected" {/if} value="basket">Warenkorbbutton</option>
                <option {if $pluginConfig->buttonModusZubehoer =='detail'} selected="selected" {/if} value="detail">Artikel Detailansicht</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bestimmt, welchen Button Sie in der Info (popover) verwenden möchten.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Beschreibungstext Artikelinfo')}</span>
            </div>
            <select name="zubehoerBeschreibung"
                    id="zubehoerBeschreibung" class="form-control">
                <option {if $pluginConfig->zubehoerBeschreibung =='nothing'} selected="selected" {/if} value="nothing">Keine Artikelbeschreibung</option>
                <option {if $pluginConfig->zubehoerBeschreibung =='ifelse'} selected="selected" {/if} value="ifelse">Vorranging Kurzbeschreibung</option>
                <option {if $pluginConfig->zubehoerBeschreibung =='short'} selected="selected" {/if} value="short">Kurzbeschreibung</option>
                <option {if $pluginConfig->zubehoerBeschreibung =='large'} selected="selected" {/if} value="large">Lange Beschreibung</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie die gew&uuml;nschte Anzeige des Beschreibungstextes ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('xSelling Gruppe im Xsell Slider ausblenden')}</span>
            </div>
            <select  name="zubehoerHideXsell" id="zubehoerHideXsell" class="form-control">
                <Option {if $pluginConfig->zubehoerHideXsell=='Y'} selected {/if} value="Y">Ja</Option>
                <Option {if $pluginConfig->zubehoerHideXsell=='N'} selected {/if} value="N">Nein</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Blendet die Gew&auml;hlte Gruppe am Ende der Detailseite aus.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Konfiguration Bundle Anzeige')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('xSelling Gruppe f&uuml;r die Bundle Ansicht')}</span>
            </div>
            <select {if $xsellGroups===
            null} disabled="disabled" {/if} name="bundleXsellGroup" id="bundleXsellGroup" class="form-control">
                <option value="0">Bitte w&auml;hlen</option> {foreach from=$xsellGroups item=xsellItem }
                    <option {if $xsellItem->kXSellGruppe == $pluginConfig->bundleXsellGroup} selected="selected" {/if} value="{$xsellItem->kXSellGruppe}">{$xsellItem->cName}</option> {/foreach}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Selektieren Sie Bitte die xSelling Gruppe die Sie als Bundle  anzeigen möchten.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector der Bundle box')}</span>
            </div>
            <input type="text" name="bundleSelector" class="form-control" value="{$pluginConfig->bundleSelector}" placeholder="{__('#buy_form (oder ähnliches)')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie den Selector ein wo die Bundle box angezeigt werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Position der Bundle box')}</span>
            </div>
            <select id="bundlePosition"
                    name="bundlePosition" class="form-control">
                <Option {if $pluginConfig->bundlePosition=='prepend'} selected {/if} value="prepend">Am Anfang des Elements</Option>
                <Option {if $pluginConfig->bundlePosition=='append' } selected {/if} value="append">Am Ende des Elements</Option>
                <Option {if $pluginConfig->bundlePosition=='before'} selected {/if} value="before" >vor dem Element</Option>
                <Option {if $pluginConfig->bundlePosition=='after'} selected {/if} value="after" >Nach dem Element</Option>
                <Option {if $pluginConfig->bundlePosition=='html'} selected {/if} value="html" >Inhalt des Elements ersetzen</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Beschreibungstext Artikelinfo')}</span>
            </div>
            <select name="bundleBeschreibung"
                    id="bundleBeschreibung" class="form-control">
                <option {if $pluginConfig->bundleBeschreibung =='nothing'} selected="selected" {/if} value="nothing">Keine Artikelbeschreibung</option>
                <option {if $pluginConfig->bundleBeschreibung =='ifelse'} selected="selected" {/if} value="ifelse">Vorranging Kurzbeschreibung</option>
                <option {if $pluginConfig->bundleBeschreibung =='short'} selected="selected" {/if} value="short">Kurzbeschreibung</option>
                <option {if $pluginConfig->bundleBeschreibung =='large'} selected="selected" {/if} value="large">Lange Beschreibung</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie die gewünschte Anzeige des Beschreibungstextes ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Button in der Infoanzeige (popover)')}</span>
            </div>
            <select name="buttonModusBundle"
                    id="buttonModusBundle" class="form-control">
                <option {if $pluginConfig->buttonModusBundle =='nothing'} selected="selected" {/if} value="nothing">Keine Buttonanzeige</option>
                <option {if $pluginConfig->buttonModusBundle =='basket'} selected="selected" {/if} value="basket">Warenkorbbutton</option>
                <option {if $pluginConfig->buttonModusBundle =='detail'} selected="selected" {/if} value="detail">Artikel Detailansicht</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bestimmt, welchen Button Sie in der Info (popover) verwenden möchten.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Produkte im Bundle vorselektieren')}</span>
            </div>
            <select name="bundleSelectItems"
                    id="bundleSelectItems" class="form-control">
                <option {if $pluginConfig->bundleSelectItems =='Y'} selected="selected" {/if} value="Y">Ja</option>
                <option {if $pluginConfig->bundleSelectItems =='N'} selected="selected" {/if} value="N">Nein</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Ist diese Option aktiv, dann werden alle Produkte im Bundle vorausgewählt (optimale Einstellung).')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('xSelling Gruppe im Xsell Slider ausblenden')}</span>
            </div>
            <select  name="bundleHideXsell"
                     id="bundleHideXsell" class="form-control">
                <Option {if $pluginConfig->bundleHideXsell=='Y'} selected {/if} value="Y">Ja</Option>
                <Option {if $pluginConfig->bundleHideXsell=='N'} selected {/if} value="N">Nein</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Ist diese Option aktiv, dann werden alle Produkte im Bundle vorausgewählt (optimale Einstellung).')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


    </fieldset>


    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Zusätzliche Styles/ JavaScript')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Styles')}</span>
            </div>
            <textarea style="min-height:400px" id="css" class="form-control" name="css">{$pluginConfig->css}</textarea>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier k&ouml;nnen Sie je nach bedarf eigene Styles anlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('JavaScript')}</span>
            </div>
            <textarea style="min-height:400px" id="javaScript" class="form-control" name="js">{$pluginConfig->js}</textarea>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier k&ouml;nnen SIe je nach bedarf zusätzliches JavaScript anlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
    </fieldset>



    <div class="save-wrapper">
        <div class="ml-auto col-sm-6 col-xl-auto">
            <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
                <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
            </button>
        </div>
    </div>
</form>

